Description

Currently we have apipie's built in parameter validation disabled in config/initializers/apipie.rb:

Apipie.configure do |config|

  config.validate = false

end

 I think - if our documentation is accurate - then this might be useful.

Related issues:

Related to Foreman - Feature #22285: Present error message when passing integ... New

History

#1 - 09/04/2013 08:28 PM - Dominic Cleal

It turns out there's some history to this:

https://github.com/theforeman/foreman/commit/5d78633efd6fb9751da1e2776313c0faf22e3978

It makes sense to rely on AR when we're working directly with AR objects and updating their attributes, but the instance I'm looking at is in the report

import action, which uses the parameters more directly, so we miss the validation.

#2 - 03/16/2018 08:36 AM - Marek Hulán

- Bugzilla link set to 1557053

#3 - 03/21/2018 05:57 PM - Marek Hulán

- Related to Feature #22285: Present error message when passing integer when array expected for API call added
